import  java.util.Scanner;

public class Vector
{
  
  Scanner teclado= new Scanner (System.in);   
  private double x=0.0;
  private double y=0.0;
  //private double x=0.0;
  // private double y=0.0;
  
  //costructor por defecto
  public Vector()
  {
    double x=0.0;
    double y=0.0;
    //double x=0.0;
    //double y=0.0;
  }
  
  public static void main(String[] args) 
  { 
    System.out.println("Operaciones con vectores en el plano");
    prueba();
    
  }//main
  
  public static void prueba()
  {
    if (Leer() != false)
    {
      Vector vectorA = new Vector();
      VectorA.propiedades();
      Vector vectorB= new Vector();
      VectorB.propiedades();
      
      Vector sumar= vectorA.sumar(vectorB);
      Vector restarb_a= vectorB.restar(vectorA);
      Vector restara_b= vectorA.restar(vectorB);
      
      int contador=0;
      
      while(contador=0)
      {
        Vector vectorB= new Vector();
        VectorB.propiedades();   
        Vector resultado1= sumar.Sumar(vectorB);
        Vector resultado2= restar_a.restar(vectorA);
        Vector resultado3= restar_b.restar(vectorB);
      }contador++;
      
      
    }//if
    
    
  }//meth prueba
  
  public boolean leer()
  {
    System.out.print("x: ");
    x=teclado.nextDouble();
    System.out.println( x);
    System.out.print("x: ");
    y=teclado.nextDouble();
    System.out.println( y );
    
    if(xA==0 && yA==0)
    { 
      return false;
    }       
  }//meth leer
  
  public void propiedades()
  {
    
    Norma();
    Angulo();
    
  }//propiedades
  
  public void angulo()
  {
    double angulo=0.0;
    angulo=Math.atan2(y,x);
    System.out.println("angulo: " + angulo);
  }
  
  public void norma()
  {
    //calcular la norma
    double norma =0.0;
    norma = Math.sqrt( x*x + y*y);
    System.out.println("norma: " + norma);
    
  }//norma
  public Vector sumar(Vector otro);
  {
    Vector vectorC= new Vector();
    vectorC.x = this.x + otro.x;
    vectorC.y = this.y + otro.y;
    toString();
    return vectorC;
  }
  
  public Vector restar_b(Vector otro);
  {
    Vector vectorC= new Vector();
    vectorC.x = this.x - otro.x;
    vectorC.y = this.y - otro.y;
    toString();
    return vectorC;
  }
  
  public Vector restar_a(Vector otro);
  {
    Vector vectorC= new Vector();
    vectorC.x = otro.x - this.x;
    vectorC.y =otro.y - this.y ;
    toString();
    return vectorC;
  }
  
  public String toString()
  { 
    return ( x,y);
  }//tostring
  
}//class operaciones
